﻿@{
    Layout = "~/Views/Shared/LandingPage/_Sleek.Home.cshtml";
}

<!-- INTRO -->
<section id="intro" class="intro7">
    <div class="overlay"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12">
                        <h2>Trova <span id="title">la prossima avventura</span></h2>
                        <p id="description">@SYM.Localization.Resources.Views.Home.Home.SubTitle</p>
                        <div class="intro-search">
                            @using (Html.BeginForm("Index3", "Route", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-inline", role = "form", id = "form_search" }))
                            {
                                <div class="form-group activity-filter">
                                    <select name="activity" id="activity" class="bs-select form-control" data-show-subtext="true" multiple data-selected-text-format="count>2">
                                        <option data-subtext="<span class='label label-success'>Trekking & Hiking</span>" value="6">Escursionismo</option>
                                        <option data-subtext="<span class='label label-warning'>Alpinism</span>" value="7">Via Ferrata</option>                     
                                        <option data-subtext="<span class='label label-danger'>Alpinism</span>" value="17">Via su Roccia</option>
                                        <option data-subtext="<span class='label label-info'>Alpinism</span>" value="12">Ghiaccio & Misto</option>
                                        <option data-divider="true"></option>
                                        <option data-subtext="<span class='label label-info'>Snow & Ice</span>" value="13">Cascate di ghiaccio</option>
                                        <option data-subtext="<span class='label label-info'>Snow & Ice</span>" value="9">Scialpinismo</option>
                                    </select>
                                </div>
                                <div class="form-group" id="remote">
                                    <input class="form-control meta typehead" name="meta" id="meta" type="text" value="" autocorrect="off" autocomplete="on" placeholder="Nome della cima o itinerario ...">
                                </div>
                                <button type="submit" class="btn btn-search"><i class="fa fa-search"></i></button>
                                <input type="hidden" value="" name="orderby" id="orderby">
                                <input type="hidden" value="" name="mountain" id="mountain">
                                <input type="hidden" value="" name="region" id="region">
                                <input type="hidden" value="" name="route" id="route">
                                <input type="hidden" value="116" name="country" id="country">
                                <input type="hidden" value="" name="metaDisable" id="metaDisable">
                            }
                            <span id="result"></span>
                        </div>
                    </div>
                </div>
                <div class="dual-btns btn-single">
                    <a id="suggest" href="#">Indeciso? Ci penso io... <i class="fa fa-map-signs"></i></a>
                </div>
            </div>
        </div>
    </div>
    <a class="scroll_arrow" href="#services">
        <img src="~/Content/themes/sleek/images/arrow_down.png" style="opacity: 1;">
    </a>
</section>
<!-- INTRO -->
<!-- SERVICES -->
<section id="services">
    <div class="container">
        <div class="owl-carousel owl-theme">
            <div class="service-content sc1 item">
                    <span><i class="fa fa-database"></i></span>
                    <h4>@SYM.Localization.Resources.Views.Home.Home.Col1_Title</h4>
                    <p>
                        Il progetto mira alla creazione di un database con dati pubblici di montagne e itinerari geolocalizzati distribuiti sulla rete (ex. portali, blog e social).
                    </p>
                    <a href="@Url.Action("Index", "Project")#database">@SYM.Localization.Resources.Views.Home.Home.LearnMore <i class="fa fa-angle-right"></i></a>
                </div>
            <div class="service-content sc2 item">
                    <span><i class="fa fa-share-alt"></i></span>
                    <h4>@SYM.Localization.Resources.Views.Home.Home.Col2_Title</h4>
                    <p>
                        Condivi la tua avventura, dati GPS o immagini lasciando un traccia del tuo passaggio ed aiutando altri utenti, che vorrebbero ripetere la tua esperienza.
                    </p>
                    <a href="@Url.Action("Index", "Project")#experience">@SYM.Localization.Resources.Views.Home.Home.LearnMore <i class="fa fa-angle-right"></i></a>
                </div>
            <div class="service-content sc3 item">
                    <span><i class="fa fa-gears"></i></span>
                    <h4>@SYM.Localization.Resources.Views.Home.Home.Col3_Title</h4>
                    <p>
                        Le informazioni vengono rielaborate e categorizzate per migliorarne la ricerca. Analizza i dati raccolti e scopri luoghi meravigliosi attorno a te e nuovi trend legati alle attività svolte all'aperto.
                    </p>
                    <a href="@Url.Action("Index", "Project")#discovery">@SYM.Localization.Resources.Views.Home.Home.LearnMore <i class="fa fa-angle-right"></i></a>
                </div>
        </div>
    </div>
</section>
<!-- SERVICES -->
<!-- GOOGLE MAP -->
<div id="google-map">
      <input id="pac-input" class="controls" type="text" placeholder="Enter a location">
      <select id="pac-showby" name="showby" class="form-control" data-selected-text-format="count>2">
        <option value="">Mostra tutte le cime :)</option>
        <option value="true">solo con itinerari</option>
        <option value="1500">alte + di 1500 m. </option>
        <option value="2500">alte + di 2500 m. </option>
        <option value="3500">alte + di 3500 m. </option>
      </select>
      <div id="map"></div>
</div>
<!-- GOOGLE MAP -->

@section ExtraPageJS {
    @Scripts.Render("~/content/themes/home/js_script")
}  

@section ScriptOnReady{

//Configuration Input Multiselect 4 Activites
"use strict";

var typed = new Typed('#title', {
  strings: ["nuove cime da scalare","nuove sfide attorno a te"],
  startDelay: 2050,
  backSpeed: 100,
  typeSpeed: 70,
  loop: false,
  showCursor: false,
  cursorChar: "_",
  backDelay: 1000
});

smoothScroll_Sym(73, '.page-scroll');
smoothScroll_Sym(73, '.scroll_arrow'); 

setTimeout(function(){
    $('#intro').backstretch(["/Content/images/bg/@ViewBag.ImageIntro"], {
    fade: 1000,
    duration: 8000
    });
}, 7000);

navigator.geolocation.getCurrentPosition(function (position) {
    initMapNew(position.coords.latitude, position.coords.longitude,@ViewBag.ProfileId);
}, function (error) {
    initMapNew(45.8620611, 9.2016384,@ViewBag.ProfileId);
}, null);

}